> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an Entity

export const ParamList = ({items = [], is_child = false}) => {
  return items.map(item => {
    const field_props = {
      id: Math.random().toString(),
      body: item.name,
      name: item.name,
      type: item.type,
      required: item.required
    };
    const enums = item.enums || [];
    const items = item.items || [];
    const has_items = items?.length > 0;
    const has_enums = enums?.length > 0;
    const should_default_open = item.defaultOpen || false;
    const render_child_item = () => {
      const child_props = {
        title: has_enums ? "Possible enum values" : "properties"
      };
      if (should_default_open) child_props.defaultOpen = true;
      const has_inline_enums = has_enums && enums.every(enum_item => typeof enum_item === 'string') && enums.map((enum_item, idx) => {
        const is_last = idx === enums.length - 1;
        const is_2nd_to_last = idx === enums.length - 2;
        return <>
            <code>{enum_item}</code>
            {is_last && ''}
            {is_2nd_to_last && ' or '}
            {!is_last && !is_2nd_to_last && ', '}
          </>;
      });
      const enum_list = has_enums && !has_inline_enums && <Accordion {...child_props}>
          {enums.map((enum_item, index) => <div key={`enum-${index}`}>
              <code>{enum_item.name}</code>
              <br />
              <p>{enum_item.description}</p>
            </div>)}
        </Accordion>;
      const item_list = has_items && <Expandable {...child_props}>
          <ParamList items={items || []} is_child />
        </Expandable>;
      return <>
          <p>
            {item.description}
            {has_inline_enums && [has_inline_enums.length > 1 ? ' One of ' : ' Must be ', ...has_inline_enums]}
          </p>

          {enum_list}
          {item_list}
        </>;
    };
    return is_child ? <ResponseField {...field_props}>{render_child_item()}</ResponseField> : <ParamField {...field_props}>{render_child_item()}</ParamField>;
  });
};

Updates an Entity with the parameters sent.

<Warning>
  Once an Entity's property has been set, that property can no longer be
  updated.
</Warning>

## Path Parameters

<ParamList
  items={[
{
  name: "ent_id",
  type: "string",
  description: `The ID of the Entity.`,
},
]}
/>

## Body

<Tabs>
  <Tab title="Individual">
    <ParamField body="individual" type="object" optional>
      Individual information of the Entity. See [Individual Entity.](/2026-03-30/reference/entities/overview#entity-objects)
    </ParamField>
  </Tab>

  <Tab title="Corporation">
    <ParamField body="corporation" type="object" optional>
      Corporation information of the Entity. See [Corporation Entity.](/2026-03-30/reference/entities/overview#entity-objects)
    </ParamField>
  </Tab>
</Tabs>

<ParamField body="address" type="object" optional>
  The Entity's address. See [Entity address.](/2026-03-30/reference/entities/overview#entity-objects)
</ParamField>

<ParamField body="metadata" type="object" optional>
  The Entity's metadata. See [Entity metadata.](/2026-03-30/reference/entities/overview#entity-objects)
</ParamField>

## Returns

Returns the Entity with the updated fields.

<RequestExample>
  ```bash cURL theme={null}
  curl https://production.methodfi.com/entities/ent_au22b1fbFJbp8 \
    -X PUT \
    -H "Method-Version: 2026-03-30" \
    -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
    -H "Content-Type: application/json" \
    -d '{
      "individual": {
        "first_name": "Kevin",
        "last_name": "Doyle",
        "email": "kevin.doyle@gmail.com",
        "dob": "1997-03-18"
      }
  }'
  ```

  ```javascript Node.js theme={null}
  const entity = await method.entities.update("ent_au22b1fbFJbp8", {
    individual: {
      first_name: "Kevin",
      last_name: "Doyle",
      email: "kevin.doyle@gmail.com",
      dob: "1997-03-18",
    },
  });
  ```

  ```python Python theme={null}
  entity = method.entities.update('ent_au22b1fbFJbp8', {
    'individual': {
      'first_name': 'Kevin',
      'last_name': 'Doyle',
      'email': 'kevin.doyle@gmail.com',
      'dob': '1997-03-18',
    }
  })
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "id": "ent_au22b1fbFJbp8",
    "type": "individual",
    "individual": {
      "first_name": "Kevin",
      "last_name": "Doyle",
      "phone": "+15121231111",
      "dob": "1997-03-18",
      "email": "kevin.doyle@gmail.com",
      "ssn_4": null,
      "ssn": null
    },
    "error": null,
    "address": {
      "line1": "3300 N Interstate 35",
      "line2": null,
      "city": "Austin",
      "state": "TX",
      "zip": "78705"
    },
    "status": "active",
    "verification": {
      "identity": {
        "verified": true,
        "matched": true,
        "latest_verification_session": "evf_mQ6yr6VVJLNEb",
        "methods": []
      },
      "phone": {
        "verified": true,
        "latest_verification_session": "evf_P4QXNj93Y9J8L",
        "methods": []
      }
    },
    "connect": null,
    "credit_score": null,
    "products": [
      "connect",
      "credit_score",
      "vehicle"
    ],
    "restricted_products": [
      "identity",
      "attribute"
    ],
    "subscriptions": [],
    "available_subscriptions": [
      "connect",
      "credit_score"
    ],
    "restricted_subscriptions": [],
    "metadata": null,
    "created_at": "2023-10-23T05:46:14.550Z",
    "updated_at": "2023-10-23T05:46:14.550Z"
  }
  ```
</ResponseExample>
